Skip to main content
GET
/
v1
/
entities
List
curl --request GET \
  --url https://api.cadanapay.com/v1/entities \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "37ad8c1e-0187-4e10-8c54-395e3385b4d2",
    "legalName": "Acme Corp Ghana",
    "country": "GH",
    "currency": "GHS",
    "entityType": "corporation",
    "status": "ACTIVE",
    "createdTimestamp": 1609459200,
    "lastUpdatedTimestamp": 1609459200
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Response

List of entities

id
string<uuid>
Example:

"37ad8c1e-0187-4e10-8c54-395e3385b4d2"

Example:

"Acme Corp Ghana"

country
string
Example:

"GH"

currency
string
Example:

"GHS"

entityType
enum<string>
Available options:
corporation,
c-corporation,
s-corporation,
partnership,
sole proprietorship,
limited liability company,
non profit,
other
Example:

"corporation"

status
string
Example:

"ACTIVE"

createdTimestamp
integer

Unix timestamp when the entity was created

Example:

1609459200

lastUpdatedTimestamp
integer

Unix timestamp when the entity was last updated

Example:

1609459200